[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.WriteBOM

Write BOM when writing stringlist to stream

## Declaration

Source position: classesh.inc line 792

`public property TStrings.WriteBOM : Boolean read GetWriteBOM write SetWriteBOM;`

## Description

WriteBOM signals the stringlist to write a BOM Marker to the stream if the stringlist is written to stream using TStrings.SaveToStream or TStrings.SaveToFile

## See also

TStrings.SaveToStream |  | Save the contents of the string to a stream.
TStrings.SaveToFile |  | Save the contents of the list to a file.
TStrings.Options |  | A set of TStringsOption - various boolean properties.